Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# ObserverWalker Class Reference

Inheritance diagram for ObserverWalker:

List of all members.

## Public Member Functions
def | deleteCollisions
def | disableAvatarControls
def | enableAvatarControls
def | initializeCollisions
def | oneTimeCollide
def | setCollisionsActive
## Public Attributes
| avatarNodePath
| collisionsActive
| cSphere
| cSphereNodePath
| cTrav
| lifter
| pusher
## Static Public Attributes
tuple | notify = DirectNotifyGlobal.directNotify.newCategory("ObserverWalker")
string | slideName = "jump"

## Member Function Documentation

def deleteCollisions | ( |  | self | ) |

Reimplemented from NonPhysicsWalker.

def disableAvatarControls | ( |  | self | ) |

    Ignore the arrow keys, etc.

Reimplemented from NonPhysicsWalker.

def enableAvatarControls | ( |  | self | ) |

    Activate the arrow keys, etc.

Reimplemented from NonPhysicsWalker.

def initializeCollisions | ( |  | self,
|  |  | collisionTraverser,
|  |  | avatarNodePath,
|  |  | avatarRadius = `1.4`,
|  |  | floorOffset = `1.0`,
|  |  | reach = `1.0`
| ) |  |

    Set up the avatar for collisions

    Set up the avatar for collisions

Reimplemented from NonPhysicsWalker.

def oneTimeCollide | ( |  | self | ) |

    Makes one quick collision pass for the avatar, for instance as
    a one-time straighten-things-up operation after collisions
    have been disabled.

Reimplemented from NonPhysicsWalker.

def setCollisionsActive | ( |  | self,
|  |  | active = `1`
| ) |  |

Reimplemented from NonPhysicsWalker.

## Member Data Documentation

avatarNodePath

Reimplemented from NonPhysicsWalker.

collisionsActive

Reimplemented from NonPhysicsWalker.

cSphere

Reimplemented from NonPhysicsWalker.

cSphereNodePath

Reimplemented from NonPhysicsWalker.

cTrav

Reimplemented from NonPhysicsWalker.

lifter

Reimplemented from NonPhysicsWalker.

tuple notify = DirectNotifyGlobal.directNotify.newCategory("ObserverWalker")`[static]`

Reimplemented from NonPhysicsWalker.

pusher

Reimplemented from NonPhysicsWalker.

string slideName = "jump"`[static]`

Reimplemented from NonPhysicsWalker.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties